Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03064 Misc. Trivial Have not tried Mar 22, 2009, 19:39 Jul 29, 2015, 17:45
Tester dead_screem View Status Public Platform
Assigned To Haze Resolution Fixed OS
Status [?] Resolved Driver segas24.cpp
Version 0.130u1 Fixed in Version 0.164 Build
Summary 03064: hotroda, hotrodj, sspirits, sgmast, bnzabros: Some S24 disk games have their bookkeeping/settings data not clear
Description hotroda bookkeeping not clear
hotrodj not defaults, MAX Gas should be 230 not 211.
sspirits bookkeeping not clear (bookkeeping seems corrupt actually) weird values like )?= appear, this was the repaired image IIRC)
sgmastc bookkeeping not clear
bnzabros bookkeeping not clear
Steps To Reproduce
Additional Information
Flags
Regression Version
Affected Sets / Systems hotroda, hotrodj, sspirits, sgmast, bnzabros
Attached Files
 
Relationships
There are no relationsihp linked to this issue.
Notes
4
User avatar
No.04046
Haze
Senior Tester
Mar 23, 2009, 12:16
They should be set to proper factory defaults, yes. Some of them won't reinitialize things like the highscore table properly tho. Thankfully I think for the ones that don't, we know what the defaults should be.
User avatar
No.04051
dead_screem
Tester
Mar 23, 2009, 15:34
edited on: Mar 23, 2009, 15:37
I didn't mention hiscores here, specifically because of that, and is probly only able to be gotten from unused disks, or at least knowing them from screenshots/flyers, or from an other region clean dump. and hex edit in the the correct scores/initials for the non clean dumps.

But all the ones I mentioned, have a specific clear bookkeeping option, in hotrod you press service on the last bookkeeping page, in all the rest its called "Backup Data Clear " or something absurd like "RAM clear" in sspirits on the test menu. And hotrod, while not having a quick restore to defaults option, default values are green, non-default are white. So these atleast could be fixed for now.

No.04075
user435
Mar 25, 2009, 23:53
I can tell you straight up that these will never be fixed with redumps. The boards are 15+ years old and are not common. Someone will have to either hex edit the existing dumps or make a version of MAME that can be used to reset the factory defaults then 'dump' out the chd image to a file, or something similar.
The same goes for any HDD-based games. Not common (so the chances of getting hold of them again are virtually zero), or they would be very expensive to get if available and not simple to dump in some cases. The effort required to dump 50+ HDDs is not justified for a few trivial defaults. Not going to happen, sorry.
User avatar
No.11881
Haze
Senior Tester
Jul 17, 2015, 22:12
I've defaulted all of these

for some reason Scramble Spirits lists the 'lowest score' as 9999999, but that's what it intentionally defaults it to..